Employee
The employee profile APIs are used to create, access, update and delete employee profile and preferences.
Employee Profile
The employee profile APIs are used to create, access, update and delete employee profile in an organisation.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/v1/employees
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/v1/employees
This API takes the employee information like name, email, skills, location, designation e.t.c., and creates a profile.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to create an employee profile.",
"properties": {
"profile": {
"type": "object",
"description": "Employee profile object.",
"EmployeeProfile": {
"type": "object",
"description": "Employee profile details schema.",
"properties": {
"employeeId": {
"type": "string",
"description": "Employee Id - unique field to identify the employee.",
"default": "1002345"
},
"firstName": {
"type": "string",
"description": "First name of the employee.",
"default": "John"
},
"lastName": {
"type": "string",
"description": "Last name of the employee.",
"default": "Doe"
},
"email": {
"type": "string",
"description": "Company email of the employee.",
"default": "test.email@example.com"
},
"designation": {
"type": "string",
"description": "Designation of the employee in the company.",
"default": "Software Developer"
},
"location": {
"type": "string",
"description": "Location of the employee.",
"default": "Princeton,New Jersey,USA"
},
"pictureUrl": {
"type": "string",
"description": "Picture of the employee.",
"default": "https://assets.client.com/CareerConnectResources/pp/CLIENTID/wallpaper_preview.jpg"
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CreateEmployeeProfile |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for employee API operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | EmployeesAPISuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/v1/employees/{employeeId}
This API takes the Employee ID as input and gives the employee profile.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema with employee profile data.",
"properties": {
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
},
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"data": {
"type": "object",
"description": "Employee profile data object.",
"EmployeeProfile": {
"type": "object",
"description": "Employee profile details schema.",
"properties": {
"employeeId": {
"type": "string",
"description": "Employee Id - unique field to identify the employee.",
"default": "1002345"
},
"firstName": {
"type": "string",
"description": "First name of the employee.",
"default": "John"
},
"lastName": {
"type": "string",
"description": "Last name of the employee.",
"default": "Doe"
},
"email": {
"type": "string",
"description": "Company email of the employee.",
"default": "test.email@example.com"
},
"designation": {
"type": "string",
"description": "Designation of the employee in the company.",
"default": "Software Developer"
},
"location": {
"type": "string",
"description": "Location of the employee.",
"default": "Princeton,New Jersey,USA"
},
"pictureUrl": {
"type": "string",
"description": "Picture of the employee.",
"default": "https://assets.client.com/CareerConnectResources/pp/CLIENTID/wallpaper_preview.jpg"
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | EmployeeProfileSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/employees-api/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'DELETE /employees-api/v1/employees/{employeeId}
This API takes the Employee ID as input and deletes the profile.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for employee API operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | EmployeesAPISuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
patch
copied!# You can also use wgetcurl -X PATCH https://api-qa.phenompro.com/employees-api/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'PATCH /employees-api/v1/employees/{employeeId}
This API takes the updated employee details like designation, skills e.t.c., as input and updates the profile.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to update an employee profile.",
"properties": {
"data": {
"type": "object",
"description": "Updated employee profile data.",
"EmployeeProfile": {
"type": "object",
"description": "Employee profile details schema.",
"properties": {
"employeeId": {
"type": "string",
"description": "Employee Id - unique field to identify the employee.",
"default": "1002345"
},
"firstName": {
"type": "string",
"description": "First name of the employee.",
"default": "John"
},
"lastName": {
"type": "string",
"description": "Last name of the employee.",
"default": "Doe"
},
"email": {
"type": "string",
"description": "Company email of the employee.",
"default": "test.email@example.com"
},
"designation": {
"type": "string",
"description": "Designation of the employee in the company.",
"default": "Software Developer"
},
"location": {
"type": "string",
"description": "Location of the employee.",
"default": "Princeton,New Jersey,USA"
},
"pictureUrl": {
"type": "string",
"description": "Picture of the employee.",
"default": "https://assets.client.com/CareerConnectResources/pp/CLIENTID/wallpaper_preview.jpg"
}
}
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | UpdateEmployeeProfile |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for employee API operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | EmployeesAPISuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
Employee Preferences
The employee preferences APIs are used to create, access, update and delete preferences in a employee profile in an organisation.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/v1/employees/{employeeId}/preferences
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/v1/employees/{employeeId}/preferences
This API takes the employee preferences like interests, locations and creates employee preferences.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to create employee preferences.",
"properties": {
"data": {
"type": "object",
"description": "Employee preference data object.",
"EmployeePreference": {
"type": "object",
"description": "Employee preference details schema.",
"properties": {
"interests": {
"type": "array",
"description": "The areas in which the employee is interested.",
"items": {
"type": "string",
"description": "Interest area preferred by employee."
}
},
"locations": {
"type": "array",
"description": "The locations in which the employee is interested.",
"items": {
"type": "string",
"description": "Location preferred by employee."
}
}
}
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | CreateEmployeePreference |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for employee API operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | EmployeesAPISuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/v1/employees/{employeeId}/preferences
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/v1/employees/{employeeId}/preferences
This API takes the Employee Id as input and provides the employee preferences.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema with employee preference data.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"data": {
"type": "object",
"description": "Employee preference data object.",
"EmployeePreference": {
"type": "object",
"description": "Employee preference details schema.",
"properties": {
"interests": {
"type": "array",
"description": "The areas in which the employee is interested.",
"items": {
"type": "string",
"description": "Interest area preferred by employee."
}
},
"locations": {
"type": "array",
"description": "The locations in which the employee is interested.",
"items": {
"type": "string",
"description": "Location preferred by employee."
}
}
}
}
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | EmployeePreferenceSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
patch
copied!# You can also use wgetcurl -X PATCH https://api-qa.phenompro.com/employees-api/v1/employees/{employeeId}/preferences
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'PATCH /employees-api/v1/employees/{employeeId}/preferences
This API takes the updated employee details like interests, locations as input and updates the employee profile preferences.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to update employee preferences.",
"properties": {
"data": {
"type": "object",
"description": "Updated employee preference data.",
"EmployeePreference": {
"type": "object",
"description": "Employee preference details schema.",
"properties": {
"interests": {
"type": "array",
"description": "The areas in which the employee is interested.",
"items": {
"type": "string",
"description": "Interest area preferred by employee."
}
},
"locations": {
"type": "array",
"description": "The locations in which the employee is interested.",
"items": {
"type": "string",
"description": "Location preferred by employee."
}
}
}
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | UpdateEmployeePreference |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for employee API operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | EmployeesAPISuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/employees-api/v1/employees/{employeeId}/preferences
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'DELETE /employees-api/v1/employees/{employeeId}/preferences
This API takes the Employee Id as input and resets the employee preferences.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for employee API operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | EmployeesAPISuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
Employee Career Path
The Employee career path APIs are related to the career pathing that an employee can use them for upskilling in an organisation.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/careerpath/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/careerpath/v1/employees/{employeeId}
This API takes the employee career role in an organisation and creates a career path based on the target role skills.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Information needed to update an existing career path for an employee.",
"properties": {
"path": {
"type": "array",
"description": "List of job profiles in the career path.",
"items": {
"type": "object",
"description": "Job profile item.",
"PathItemRequest": {
"type": "object",
"description": "Represents a job role included in a career path request.",
"properties": {
"jobTitle": {
"description": "Job Title of the preferred job position.",
"type": "string",
"default": "IT Solutions Lead"
},
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS50003728"
}
}
}
}
},
"currentJobProfile": {
"type": "object",
"description": "Current job profile of the employee.",
"CurrentJobProfileRequest": {
"type": "object",
"description": "Details of the employee’s current role when creating or updating a career path.",
"properties": {
"jobTitle": {
"description": "Job Title of the current job position.",
"type": "string",
"default": "Software Developer"
},
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS30003965"
}
}
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | CreateCareerPath |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for career path operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CareerPathSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/careerpath/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/careerpath/v1/employees/{employeeId}
This API takes the candidate ID as input and gives the career path of the employee in an organisation, if previously created by an employee.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema with career path data.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
},
"data": {
"type": "object",
"description": "Career path data object.",
"CareerPathData": {
"type": "object",
"description": "Details of an employee’s career path, including roles, IDs, and timestamps.",
"properties": {
"pathId": {
"type": "string",
"description": "Path Id - unique field to identify the careerPath of the employee.",
"default": "100038"
},
"userId": {
"type": "string",
"description": "User Id - unique field to identify the employee.",
"default": "1002345"
},
"jobProfiles": {
"type": "array",
"description": "List of job profiles in the career path.",
"items": {
"type": "object",
"description": "Job profile item.",
"PathItem": {
"type": "object",
"description": "Job profile item in a career path.",
"properties": {
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS50003728"
},
"jobTitle": {
"description": "Job Title of the preferred job position.",
"type": "string",
"default": "IT Solutions Lead"
},
"roleStartTime": {
"description": "Role start time in milliseconds.",
"type": "integer"
},
"selectedIndex": {
"description": "Selected index of the job profile.",
"type": "integer"
}
}
}
}
},
"currentJobProfile": {
"type": "object",
"description": "Current job profile of the employee.",
"CurrentJobProfile": {
"type": "object",
"description": "Current job profile details of the employee.",
"properties": {
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS30003965"
},
"jobTitle": {
"description": "Job Title of the current job position.",
"type": "string",
"default": "Software Developer"
},
"selectedIndex": {
"description": "Selected index of the current job profile.",
"type": "integer"
},
"level": {
"description": "Level of the current job position.",
"type": "string",
"default": {
"type": "object",
"description": "Schema reference not found"
}
},
"roleStartTime": {
"description": "Role start time in milliseconds.",
"type": "integer"
},
"roleDisplayName": {
"description": "Display name of the role.",
"type": "string",
"default": {
"type": "object",
"description": "Schema reference not found"
}
},
"jobCode": {
"description": "Job code of the current position.",
"type": "string",
"default": {
"type": "object",
"description": "Schema reference not found"
}
}
}
}
},
"createdAt": {
"type": "integer",
"description": "Career path creation timestamp in milliseconds."
},
"lastModifiedAt": {
"type": "integer",
"description": "Career path last modified timestamp in milliseconds."
},
"primary": {
"type": "boolean",
"description": "Flag indicating if this is the primary career path."
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CareerPathSuccessResponseWithData |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
patch
copied!# You can also use wgetcurl -X PATCH https://api-qa.phenompro.com/employees-api/careerpath/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'PATCH /employees-api/careerpath/v1/employees/{employeeId}
This API takes the updated career path details from the employee like role/position and updates the Career path details for given employee.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to update a career path for an employee.",
"properties": {
"path": {
"type": "array",
"description": "Updated list of job profiles in the career path.",
"items": {
"type": "object",
"description": "Job profile item.",
"PathItemRequest": {
"type": "object",
"description": "Represents a job role included in a career path request.",
"properties": {
"jobTitle": {
"description": "Job Title of the preferred job position.",
"type": "string",
"default": "IT Solutions Lead"
},
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS50003728"
}
}
}
}
},
"currentJobProfile": {
"type": "object",
"description": "Updated current job profile of the employee.",
"CurrentJobProfileRequest": {
"type": "object",
"description": "Details of the employee’s current role when creating or updating a career path.",
"properties": {
"jobTitle": {
"description": "Job Title of the current job position.",
"type": "string",
"default": "Software Developer"
},
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS30003965"
}
}
}
},
"pathId": {
"type": "string",
"description": "Path Id - unique field to identify the careerPath of the employee.",
"default": "100038"
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | UpdateCareerPath |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for career path operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CareerPathSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
Employee Courses
The Employee Course APIs are related to that an employee can use them for create, access, update and delete courses in an organisation.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/courses/v1/courses
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/courses/v1/courses
This API takes the course details like description, image, duration, skills e.t.c and creates a course.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to create a course.",
"properties": {
"course": {
"type": "object",
"description": "Course object containing course details.",
"Course": {
"type": "object",
"description": "Course details schema.",
"properties": {
"id": {
"description": "Id - unique field to identify the Course.",
"type": "string"
},
"title": {
"description": "Title of the Course.",
"type": "string"
},
"imageUrl": {
"description": "Image URL of the Course.",
"type": "string"
},
"url": {
"description": "URL of the Course to access.",
"type": "string"
},
"category": {
"description": "Category the Course belongs to.",
"type": "string"
},
"provider": {
"description": "Provider of the Course. Ex: Coursera.",
"type": "string"
},
"assetType": {
"description": "AssetType of the Course.",
"type": "string"
},
"skillsAcquired": {
"type": "array",
"description": "List of skills which will be acquired from the course.",
"items": {
"type": "string",
"description": "Skill name."
}
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CreateCourse |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for course operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CoursesSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/courses/v1/courses/{courseId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/courses/v1/courses/{courseId}
This API takes the course ID as input and gives all the course information to the employee.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| courseId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema with course data.",
"properties": {
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
},
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"data": {
"type": "object",
"description": "Course data object.",
"Course": {
"type": "object",
"description": "Course details schema.",
"properties": {
"id": {
"description": "Id - unique field to identify the Course.",
"type": "string"
},
"title": {
"description": "Title of the Course.",
"type": "string"
},
"imageUrl": {
"description": "Image URL of the Course.",
"type": "string"
},
"url": {
"description": "URL of the Course to access.",
"type": "string"
},
"category": {
"description": "Category the Course belongs to.",
"type": "string"
},
"provider": {
"description": "Provider of the Course. Ex: Coursera.",
"type": "string"
},
"assetType": {
"description": "AssetType of the Course.",
"type": "string"
},
"skillsAcquired": {
"type": "array",
"description": "List of skills which will be acquired from the course.",
"items": {
"type": "string",
"description": "Skill name."
}
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CoursesSuccessResponseWithData |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/employees-api/courses/v1/courses/{courseId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'DELETE /employees-api/courses/v1/courses/{courseId}
This API takes the course ID as input and deletes the course data from data base if exists.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| courseId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for course operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CoursesSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
patch
copied!# You can also use wgetcurl -X PATCH https://api-qa.phenompro.com/employees-api/courses/v1/courses/{courseId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'PATCH /employees-api/courses/v1/courses/{courseId}
This API takes the updated course details and based on course ID the course details will be updated.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to update a course.",
"properties": {
"data": {
"type": "object",
"description": "Updated course data.",
"Course": {
"type": "object",
"description": "Course details schema.",
"properties": {
"id": {
"description": "Id - unique field to identify the Course.",
"type": "string"
},
"title": {
"description": "Title of the Course.",
"type": "string"
},
"imageUrl": {
"description": "Image URL of the Course.",
"type": "string"
},
"url": {
"description": "URL of the Course to access.",
"type": "string"
},
"category": {
"description": "Category the Course belongs to.",
"type": "string"
},
"provider": {
"description": "Provider of the Course. Ex: Coursera.",
"type": "string"
},
"assetType": {
"description": "AssetType of the Course.",
"type": "string"
},
"skillsAcquired": {
"type": "array",
"description": "List of skills which will be acquired from the course.",
"items": {
"type": "string",
"description": "Skill name."
}
}
}
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| courseId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | UpdateCourse |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for update course operations with data payload.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "success"
},
"data": {
"type": "object",
"description": "Updated course data summary.",
"UpdateCourseDetailsData": {
"type": "object",
"description": "Data object returned on successful course update.",
"properties": {
"courseUID": {
"type": "string",
"description": "Unique identifier of the updated course.",
"default": "string"
},
"updated": {
"type": "boolean",
"description": "Flag indicating if the course details were successfully updated."
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CoursesUpdateSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/courses/v1/employees/{employeeId}/courses/{courseId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/courses/v1/employees/{employeeId}/courses/{courseId}
This API takes the courseId, employeeId and saves the course in the saved courses collection for that employee.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to save a course for an employee.",
"properties": {
"collectionIds": {
"type": "array",
"description": "List of collection IDs to save the course to.",
"items": {
"type": "string",
"description": "Collection ID."
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| courseId | path | string | true |
| employeeId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | SaveCourse |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for course operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CoursesSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/employees-api/courses/v1/employees/{employeeId}/courses/{courseId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'DELETE /employees-api/courses/v1/employees/{employeeId}/courses/{courseId}
This API takes the courseId and unsaved the course in the saved courses collection.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| courseId | path | string | true |
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for course operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CoursesSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/courses/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/courses/v1/employees/{employeeId}
This API takes the employee ID as input and gives all the saved course information to the employee.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Response schema containing all saved courses for an employee.",
"properties": {
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "success"
},
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"data": {
"type": "object",
"description": "Saved courses data grouped by collection.",
"properties": {
"default": {
"type": "object",
"description": "The default saved courses collection.",
"properties": {
"displayName": {
"type": "string",
"description": "Display Name of the Saved courses collection.",
"default": "My Saved Courses"
},
"courseUids": {
"type": "array",
"description": "List of course UIDs in the collection.",
"items": {
"type": "string",
"description": "Course ID.",
"default": "1000269"
}
},
"courses": {
"type": "array",
"description": "Detailed list of course objects.",
"items": {
"Course": {
"type": "object",
"description": "Course details schema.",
"properties": {
"id": {
"description": "Id - unique field to identify the Course.",
"type": "string"
},
"title": {
"description": "Title of the Course.",
"type": "string"
},
"imageUrl": {
"description": "Image URL of the Course.",
"type": "string"
},
"url": {
"description": "URL of the Course to access.",
"type": "string"
},
"category": {
"description": "Category the Course belongs to.",
"type": "string"
},
"provider": {
"description": "Provider of the Course. Ex: Coursera.",
"type": "string"
},
"assetType": {
"description": "AssetType of the Course.",
"type": "string"
},
"skillsAcquired": {
"type": "array",
"description": "List of skills which will be acquired from the course.",
"items": {
"type": "string",
"description": "Skill name."
}
}
}
}
}
}
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | GetAllSavedCourses |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/courses/v1/employees/{employeeId}/courses/{courseId}/status
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/courses/v1/employees/{employeeId}/courses/{courseId}/status
This API takes the employeeId and courseId and updates the course status for an employee.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to update course status for an employee.",
"properties": {
"courseStatus": {
"description": "Current progress status of a Course for a particular user.",
"type": "string"
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| courseId | path | string | true |
| employeeId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | UpdateCourseStatus |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for course operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | CoursesSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/courses/v1/employees/{employeeId}/status
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/courses/v1/employees/{employeeId}/status
This API takes the employee ID as input and gives all the completed courses of the employee.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Response schema containing completed courses data as an array of course UIDs.",
"properties": {
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "success"
},
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"data": {
"type": "array",
"description": "List of completed courses, represented by their UIDs.",
"items": {
"type": "object",
"CourseUIDData": {
"type": "object",
"description": "Object containing only the course UID.",
"properties": {
"courseUID": {
"type": "string",
"description": "Unique identifier for a course.",
"default": "string"
}
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | GetCompletedCoursesData |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
Employee Referrals
The employee referral APIs are used to refer, track and recommend jobs to external candidates.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/referral/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/referral/v1/employees/{employeeId}
This API takes the candidate data and job information as input and create a employee referral to the candidate only if the candidate haven't applied or referred before to the particular job.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to create an employee referral.",
"properties": {
"data": {
"type": "object",
"description": "Referral data object.",
"ReferralData": {
"type": "object",
"description": "Referral data containing candidate and job information.",
"properties": {
"jobId": {
"description": "Job Id - unique field to identify the job.",
"type": "string",
"default": "12121"
},
"category": {
"description": "Category of the job that employee is making a referral.",
"type": "string",
"default": "Engineering"
},
"firstName": {
"description": "FirstName of the candidate which employee is referring.",
"type": "string",
"default": "John"
},
"lastName": {
"description": "LastName of the candidate which employee is referring.",
"type": "string",
"default": "Deal"
},
"email": {
"description": "Email of the candidate which employee is referring.",
"type": "string",
"default": "test@mailinator.com"
},
"phone": {
"description": "Phone Number of the candidate which employee is referring.",
"type": "string",
"default": "919181912122"
},
"message": {
"description": "Personal Message to the candidate which employee is referring.",
"type": "string",
"default": "APPLY NOW"
},
"questionnaire": {
"type": "object",
"description": "Questionnaire response of the candidate which is used while making a referral.",
"properties": {}
}
}
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | CreateEmployeeReferral |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for referral operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | ReferralSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/referral/v1/employees/{employeeId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/referral/v1/employees/{employeeId}
This API takes the employee ID as input and returns all the referrals made by the employee.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema containing employee referrals.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
},
"totalReferralsCount": {
"type": "integer",
"description": "Total count of the referred candidates of an employee."
},
"candidates": {
"type": "array",
"description": "List of referred candidates.",
"items": {
"type": "object",
"description": "Candidate details.",
"properties": {
"firstName": {
"description": "FirstName of the candidate which employee is referred.",
"type": "string"
},
"lastName": {
"description": "LastName of the candidate which employee is referred.",
"type": "string"
},
"email": {
"description": "Email of the candidate which employee is referred.",
"type": "string"
},
"referrals": {
"type": "array",
"description": "List of referrals for this candidate.",
"items": {
"type": "object",
"description": "Referral details.",
"ReferralData": {
"type": "object",
"description": "Referral data containing candidate and job information.",
"properties": {
"jobId": {
"description": "Job Id - unique field to identify the job.",
"type": "string",
"default": "12121"
},
"category": {
"description": "Category of the job that employee is making a referral.",
"type": "string",
"default": "Engineering"
},
"firstName": {
"description": "FirstName of the candidate which employee is referring.",
"type": "string",
"default": "John"
},
"lastName": {
"description": "LastName of the candidate which employee is referring.",
"type": "string",
"default": "Deal"
},
"email": {
"description": "Email of the candidate which employee is referring.",
"type": "string",
"default": "test@mailinator.com"
},
"phone": {
"description": "Phone Number of the candidate which employee is referring.",
"type": "string",
"default": "919181912122"
},
"message": {
"description": "Personal Message to the candidate which employee is referring.",
"type": "string",
"default": "APPLY NOW"
},
"questionnaire": {
"type": "object",
"description": "Questionnaire response of the candidate which is used while making a referral.",
"properties": {}
}
}
}
}
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | GetEmployeeReferralSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/referral/v1/employees/jobs/resume
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/referral/v1/employees/jobs/resume
This API takes the resume as a 'file' input and give the referral recommendations to the employee based on the resume file data.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to get referral recommendations with resume.",
"properties": {
"file": {
"description": "Resume file of the candidate which employee is looking for job recommendations to refer.",
"type": "string",
"format": "binary"
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | GetReferralRecommendationsWithResume |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema containing job recommendations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
},
"recommendations": {
"type": "array",
"description": "List of job recommendations.",
"items": {
"type": "object",
"description": "Job recommendation details.",
"JobRecommendations": {
"type": "object",
"description": "Job recommendation details.",
"properties": {
"jobId": {
"description": "JobId- unique field to identify the job.",
"type": "string"
},
"title": {
"description": "Title of the job.",
"type": "string"
}
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | GetReferralRecommendationsResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/referral/v1/employees/{employeeId}/jobs
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/referral/v1/employees/{employeeId}/jobs
This API give the referral recommendations to the employee based on the employee ID.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| employeeId | path | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema containing job recommendations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
},
"recommendations": {
"type": "array",
"description": "List of job recommendations.",
"items": {
"type": "object",
"description": "Job recommendation details.",
"JobRecommendations": {
"type": "object",
"description": "Job recommendation details.",
"properties": {
"jobId": {
"description": "JobId- unique field to identify the job.",
"type": "string"
},
"title": {
"description": "Title of the job.",
"type": "string"
}
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | GetReferralRecommendationsResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/employees-api/referral/v1/questionnaire
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /employees-api/referral/v1/questionnaire
This API takes the questionnaire data like questions, message and create a referral form which is used to ask employee when referring the external candidate.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Request schema to create a referral questionnaire.",
"properties": {
"data": {
"type": "object",
"description": "Questionnaire data object.",
"Questionnaire": {
"type": "object",
"description": "Questionnaire schema for referral process.",
"properties": {
"questionnaire": {
"type": "array",
"description": "Questionnaire to the candidate which is used while making a referral.",
"items": {
"type": "object",
"description": "Question item in the questionnaire.",
"properties": {
"id": {
"description": "Question Id.",
"type": "string"
},
"questionText": {
"description": "Question description text.",
"type": "string"
},
"type": {
"description": "Type of the answer format for question.",
"type": "string",
"default": "success"
},
"options": {
"type": "array",
"description": "Answer options to choose for given questions.",
"items": {
"type": "object",
"description": "Answer option details.",
"properties": {
"ansId": {
"description": "Answer Id.",
"type": "string"
},
"ansText": {
"description": "Answer text value.",
"type": "string"
}
}
},
"default": {}
}
}
}
},
"showPersonalMessage": {
"description": "Flag whether to give personal message field to employee or not while making a referral.",
"type": "boolean"
},
"message": {
"description": "Default message to show when personal message flag is enabled.",
"type": "string",
"default": "Hello Friend! I hope this jobs suits your skill set"
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | CreateEmployeeReferralQuestionnaire |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema for referral operations.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | ReferralSuccessResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/employees-api/referral/v1/questionnaire
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /employees-api/referral/v1/questionnaire
This API gives the referral questionnaire when employee referring a candidate.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Response
200 response.
copied![
{
"type": "object",
"description": "Success response schema containing questionnaire data.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Status of the API call whether it is success or failure.",
"type": "string",
"default": "string"
},
"data": {
"type": "object",
"description": "Questionnaire data object.",
"Questionnaire": {
"type": "object",
"description": "Questionnaire schema for referral process.",
"properties": {
"questionnaire": {
"type": "array",
"description": "Questionnaire to the candidate which is used while making a referral.",
"items": {
"type": "object",
"description": "Question item in the questionnaire.",
"properties": {
"id": {
"description": "Question Id.",
"type": "string"
},
"questionText": {
"description": "Question description text.",
"type": "string"
},
"type": {
"description": "Type of the answer format for question.",
"type": "string",
"default": "success"
},
"options": {
"type": "array",
"description": "Answer options to choose for given questions.",
"items": {
"type": "object",
"description": "Answer option details.",
"properties": {
"ansId": {
"description": "Answer Id.",
"type": "string"
},
"ansText": {
"description": "Answer text value.",
"type": "string"
}
}
},
"default": {}
}
}
}
},
"showPersonalMessage": {
"description": "Flag whether to give personal message field to employee or not while making a referral.",
"type": "boolean"
},
"message": {
"description": "Default message to show when personal message flag is enabled.",
"type": "string",
"default": "Hello Friend! I hope this jobs suits your skill set"
}
}
}
}
}
}
]Invalid request params.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Something went wrong.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | 200 response. | GetReferralQuestionnaireResponse |
| 400 | Invalid request params. | BadRequest |
| 500 | Something went wrong. | ErrorResponse |
Search
These APIs helps in searching and providing suggestions based on keywords within employee profiles.
Employee Search
These APIs performs keyword-based searches within employee profiles, offering suggestions.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/jobs-api/v1/jobs/search/
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /jobs-api/v1/jobs/search/
This API searches Employee profiles based on keyword.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "Keyword to search."
},
"common": {
"CommonNode": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}
},
"from": {
"type": "integer",
"description": "Starting point from which the data should be retrieved."
},
"size": {
"type": "integer",
"description": "Size of the response."
},
"filters": {
"FiltersNode": {
"type": "array",
"items": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute to filter response."
},
"value": {
"type": "array",
"items": {
"type": "string",
"description": "To refine results based on these values with the attribute mentioned above."
}
}
}
}
}
},
"tabInfo": {
"TabInfoNode": {
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "Field name to populate fields based on this attribute."
},
"type": {
"type": "string",
"description": "Accepted Value - Custom."
},
"mutualHistory": {
"type": "boolean",
"description": "True or False based on Profiles Settings."
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | EmployeeSearchRequest |
Response
Returns filtered employee profiles.
copied![
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"description": "Status returned by the API."
},
"totalHits": {
"type": "integer",
"description": "Total number of hits."
},
"data": {
"type": "object",
"description": "Search Response Data.",
"properties": {
"employees": {
"type": "array",
"items": {
"EmployeeNode": {
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "Employee's First Name."
},
"lastName": {
"type": "string",
"description": "Employee's Last Name."
},
"candidateID": {
"type": "string",
"description": "Employee's ID."
}
}
}
}
},
"facets": {
"type": "array",
"items": {
"FacetsNode": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute passed in the request to fetch aggregations."
},
"key": {
"type": "string",
"description": "Key passed in the request."
},
"value": {
"type": "object",
"description": "Value of the respective attribute."
}
}
}
}
}
}
},
"query": {
"type": "object",
"description": "Represents internal database query."
}
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Server Error.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Returns filtered employee profiles. | EmployeeSearchResponse |
| 400 | Bad Request. | BadRequest |
| 500 | Server Error. | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/jobs-api/v1/jobs/search/suggestions
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /jobs-api/v1/jobs/search/suggestions
This API searches Employee profiles based on keyword and shows suggestions.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "Keyword to search."
},
"common": {
"CommonNode": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | EmployeeTypeAheadRequest |
Response
Returns filtered employee profiles.
copied![
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"description": "Status returned by the API."
},
"hits": {
"type": "integer",
"description": "Hits."
},
"totalHits": {
"type": "integer",
"description": "Total number of hits."
},
"data": {
"type": "object",
"description": "Typeahead response data.",
"properties": {
"employees": {
"type": "array",
"items": {
"EmployeeNode": {
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "Employee's First Name."
},
"lastName": {
"type": "string",
"description": "Employee's Last Name."
},
"candidateID": {
"type": "string",
"description": "Employee's ID."
}
}
}
}
}
}
},
"query": {
"type": "object",
"description": "Represents internal database query."
}
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Server Error.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Returns filtered employee profiles. | EmployeeTypeaheadResponse |
| 400 | Bad Request. | BadRequest |
| 500 | Server Error. | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/jobs-api/v1/jobs/search/suggestions/aggregations
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /jobs-api/v1/jobs/search/suggestions/aggregations
This API conducts searches within employee profiles using keywords and provides aggregated counts based on the search criteria.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "Keyword to search."
},
"common": {
"CommonNode": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}
},
"aggregations": {
"AggregationsNode": {
"type": "array",
"items": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute to consolidate and compute values."
},
"size": {
"type": "integer",
"description": "Size of the aggregations response."
}
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | EmployeeAggregationRequest |
Response
Returns filtered employee profiles and aggregated counts.
copied![
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"description": "Status returned by the API."
},
"hits": {
"type": "integer",
"description": "Hits."
},
"totalHits": {
"type": "integer",
"description": "Total number of hits."
},
"data": {
"type": "object",
"description": "API Response."
},
"query": {
"type": "object",
"description": "Represents internal database query."
}
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Server Error.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Returns filtered employee profiles and aggregated counts. | EmployeeAggregationResponse |
| 400 | Bad Request. | BadRequest |
| 500 | Server Error. | ErrorResponse |
Mentor
This API conducts keyword-based searches in mentor profiles and offers relevant suggestions.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/jobs-api/v1/jobs/search/suggestions/mentor
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /jobs-api/v1/jobs/search/suggestions/mentor
This API performs searches within mentor profiles using keywords and generates relevant suggestions based on the search criteria.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "Keyword to search."
},
"common": {
"CommonNode": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | MentorTypeAheadRequest |
Response
Returns filtered Mentor Profiles.
copied![
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"description": "Status returned by the API."
},
"hits": {
"type": "integer",
"description": "Hits."
},
"totalHits": {
"type": "integer",
"description": "Total number of hits."
},
"data": {
"type": "object",
"description": "Mentor Typeahead response data.",
"properties": {
"employees": {
"type": "array",
"items": {
"EmployeeNode": {
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "Employee's First Name."
},
"lastName": {
"type": "string",
"description": "Employee's Last Name."
},
"candidateID": {
"type": "string",
"description": "Employee's ID."
}
}
}
}
}
}
},
"query": {
"type": "object",
"description": "Represents internal database query."
}
}
}
]Bad Request.
copied![
{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Server Error.
copied![
{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer"
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Returns filtered Mentor Profiles. | MentorTypeaheadResponse |
| 400 | Bad Request. | BadRequest |
| 500 | Server Error. | ErrorResponse |
Schemas
copied!{
"type": "object",
"description": "Error response schema for 400 bad request errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer",
"default": 400
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | integer | HTTP Status code determining the response status. |
| message | string | Error message describing what went wrong. |
copied!{
"type": "object",
"description": "Error response schema for 500 internal server errors.",
"properties": {
"status": {
"description": "HTTP Status code determining the response status.",
"type": "integer",
"default": 500
},
"message": {
"description": "Error message describing what went wrong.",
"type": "string",
"default": "string"
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | integer | HTTP Status code determining the response status. |
| message | string | Error message describing what went wrong. |
copied!{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "Keyword to search."
},
"common": {
"CommonNode": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}
},
"from": {
"type": "integer",
"description": "Starting point from which the data should be retrieved."
},
"size": {
"type": "integer",
"description": "Size of the response."
},
"filters": {
"FiltersNode": {
"type": "array",
"items": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute to filter response."
},
"value": {
"type": "array",
"items": {
"type": "string",
"description": "To refine results based on these values with the attribute mentioned above."
}
}
}
}
}
},
"tabInfo": {
"TabInfoNode": {
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "Field name to populate fields based on this attribute."
},
"type": {
"type": "string",
"description": "Accepted Value - Custom."
},
"mutualHistory": {
"type": "boolean",
"description": "True or False based on Profiles Settings."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| keyword | string | Keyword to search. |
| common | object | CommonNode |
| from | integer | Starting point from which the data should be retrieved. |
| size | integer | Size of the response. |
| filters | object | FiltersNode |
| tabInfo | object | TabInfoNode |
copied!{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "Keyword to search."
},
"common": {
"CommonNode": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| keyword | string | Keyword to search. |
| common | object | CommonNode |
copied!{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "Keyword to search."
},
"common": {
"CommonNode": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| keyword | string | Keyword to search. |
| common | object | CommonNode |
copied!{
"type": "object",
"properties": {
"keyword": {
"type": "string",
"description": "Keyword to search."
},
"common": {
"CommonNode": {
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}
},
"aggregations": {
"AggregationsNode": {
"type": "array",
"items": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute to consolidate and compute values."
},
"size": {
"type": "integer",
"description": "Size of the aggregations response."
}
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| keyword | string | Keyword to search. |
| common | object | CommonNode |
| aggregations | object | AggregationsNode |
copied!{
"type": "object",
"properties": {
"userId": {
"type": "string",
"description": "User ID."
},
"userType": {
"type": "string",
"description": "Specify the user type - External or Internal user."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| userId | string | User ID. |
| userType | string | Specify the user type - External or Internal user. |
copied!{
"type": "array",
"items": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute to filter response."
},
"value": {
"type": "array",
"items": {
"type": "string",
"description": "To refine results based on these values with the attribute mentioned above."
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| field | string | Attribute to filter response. |
| value | [string] | To refine results based on these values with the attribute mentioned above. |
copied!{
"type": "array",
"items": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute to consolidate and compute values."
},
"size": {
"type": "integer",
"description": "Size of the aggregations response."
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| field | string | Attribute to consolidate and compute values. |
| size | integer | Size of the aggregations response. |
copied!{
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "Field name to populate fields based on this attribute."
},
"type": {
"type": "string",
"description": "Accepted Value - Custom."
},
"mutualHistory": {
"type": "boolean",
"description": "True or False based on Profiles Settings."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| key | string | Field name to populate fields based on this attribute. |
| type | string | Accepted Value - Custom. |
| mutualHistory | boolean | True or False based on Profiles Settings. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "integer",
"description": "Status returned by the API."
},
"totalHits": {
"type": "integer",
"description": "Total number of hits."
},
"data": {
"type": "object",
"description": "Search Response Data.",
"properties": {
"employees": {
"type": "array",
"items": {
"EmployeeNode": {
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "Employee's First Name."
},
"lastName": {
"type": "string",
"description": "Employee's Last Name."
},
"candidateID": {
"type": "string",
"description": "Employee's ID."
}
}
}
}
},
"facets": {
"type": "array",
"items": {
"FacetsNode": {
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute passed in the request to fetch aggregations."
},
"key": {
"type": "string",
"description": "Key passed in the request."
},
"value": {
"type": "object",
"description": "Value of the respective attribute."
}
}
}
}
}
}
},
"query": {
"type": "object",
"description": "Represents internal database query."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | integer | Status returned by the API. |
| totalHits | integer | Total number of hits. |
| data | object | Search Response Data. |
| employees | array | EmployeeNode |
| facets | array | FacetsNode |
| query | object | Represents internal database query. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "integer",
"description": "Status returned by the API."
},
"hits": {
"type": "integer",
"description": "Hits."
},
"totalHits": {
"type": "integer",
"description": "Total number of hits."
},
"data": {
"type": "object",
"description": "Typeahead response data.",
"properties": {
"employees": {
"type": "array",
"items": {
"EmployeeNode": {
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "Employee's First Name."
},
"lastName": {
"type": "string",
"description": "Employee's Last Name."
},
"candidateID": {
"type": "string",
"description": "Employee's ID."
}
}
}
}
}
}
},
"query": {
"type": "object",
"description": "Represents internal database query."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | integer | Status returned by the API. |
| hits | integer | Hits. |
| totalHits | integer | Total number of hits. |
| data | object | Typeahead response data. |
| employees | array | EmployeeNode |
| query | object | Represents internal database query. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "integer",
"description": "Status returned by the API."
},
"hits": {
"type": "integer",
"description": "Hits."
},
"totalHits": {
"type": "integer",
"description": "Total number of hits."
},
"data": {
"type": "object",
"description": "Mentor Typeahead response data.",
"properties": {
"employees": {
"type": "array",
"items": {
"EmployeeNode": {
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "Employee's First Name."
},
"lastName": {
"type": "string",
"description": "Employee's Last Name."
},
"candidateID": {
"type": "string",
"description": "Employee's ID."
}
}
}
}
}
}
},
"query": {
"type": "object",
"description": "Represents internal database query."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | integer | Status returned by the API. |
| hits | integer | Hits. |
| totalHits | integer | Total number of hits. |
| data | object | Mentor Typeahead response data. |
| employees | array | EmployeeNode |
| query | object | Represents internal database query. |
copied!{
"type": "object",
"properties": {
"status": {
"type": "integer",
"description": "Status returned by the API."
},
"hits": {
"type": "integer",
"description": "Hits."
},
"totalHits": {
"type": "integer",
"description": "Total number of hits."
},
"data": {
"type": "object",
"description": "API Response."
},
"query": {
"type": "object",
"description": "Represents internal database query."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| status | integer | Status returned by the API. |
| hits | integer | Hits. |
| totalHits | integer | Total number of hits. |
| data | object | API Response. |
| query | object | Represents internal database query. |
copied!{
"type": "object",
"properties": {
"firstName": {
"type": "string",
"description": "Employee's First Name."
},
"lastName": {
"type": "string",
"description": "Employee's Last Name."
},
"candidateID": {
"type": "string",
"description": "Employee's ID."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| firstName | string | Employee's First Name. |
| lastName | string | Employee's Last Name. |
| candidateID | string | Employee's ID. |
copied!{
"type": "object",
"properties": {
"field": {
"type": "string",
"description": "Attribute passed in the request to fetch aggregations."
},
"key": {
"type": "string",
"description": "Key passed in the request."
},
"value": {
"type": "object",
"description": "Value of the respective attribute."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| field | string | Attribute passed in the request to fetch aggregations. |
| key | string | Key passed in the request. |
| value | object | Value of the respective attribute. |
copied!{
"title": "EmptySchema",
"type": "object",
"description": "Empty schema."
}Properties
| Name | Type |
|---|
copied!{
"type": "object",
"description": "Represents a job role included in a career path request.",
"properties": {
"jobTitle": {
"description": "Job Title of the preferred job position.",
"type": "string",
"default": "IT Solutions Lead"
},
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS50003728"
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| jobTitle | string | Job Title of the preferred job position. |
| jobProfileId | string | JobProfileId- unique field to identify the job position. |
copied!{
"type": "object",
"description": "Details of the employee’s current role when creating or updating a career path.",
"properties": {
"jobTitle": {
"description": "Job Title of the current job position.",
"type": "string",
"default": "Software Developer"
},
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS30003965"
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| jobTitle | string | Job Title of the current job position. |
| jobProfileId | string | JobProfileId- unique field to identify the job position. |
copied!{
"type": "object",
"description": "Information needed to update an existing career path for an employee.",
"properties": {
"path": {
"type": "array",
"description": "List of job profiles in the career path.",
"items": {
"type": "object",
"description": "Job profile item.",
"PathItemRequest": {
"type": "object",
"description": "Represents a job role included in a career path request.",
"properties": {
"jobTitle": {
"description": "Job Title of the preferred job position.",
"type": "string",
"default": "IT Solutions Lead"
},
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS50003728"
}
}
}
}
},
"currentJobProfile": {
"type": "object",
"description": "Current job profile of the employee.",
"CurrentJobProfileRequest": {
"type": "object",
"description": "Details of the employee’s current role when creating or updating a career path.",
"properties": {
"jobTitle": {
"description": "Job Title of the current job position.",
"type": "string",
"default": "Software Developer"
},
"jobProfileId": {
"description": "JobProfileId- unique field to identify the job position.",
"type": "string",
"default": "POS30003965"
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| path | [object] | List of job profiles in the career path. |
[...]
